# Contributing to BBB for Nextcloud

:+1::tada: First off, thanks for taking the time to contribute!

:warning: Please note that this project is released with a Contributor Code of Conduct. By
participating in this project you agree to abide by its terms.

There are plenty of ways to give something back to the open source community.
Following you find a couple of them for BBB for Nextcloud and no matter which
you choose, we appreciate every help :clap:.

## :bug: Reporting a bug
Every application depends on people who are testing it in different environments
and reporting misbehavior or options to enhance the application further. To help
developers to fix your issue faster, please [open a new issue] for every bug or
feature request and follow the guidelines below:

- A issue should be self contained, so that everyone can keep track of changes
  and discussions.
- Fill the issue template. It requests important information and omitting it,
  delays the whole process.
- Provide as many information as you can. Screenshots, Javascript logs and
  further information is super helpful.
- Please be kind. Remember that most developers are working in there free time
  to make this app better.

## :page_facing_up: Contribute code
Every code contribution is considered valuable, independent from there size and
small changes can also be contributed directly via Github:

1. Browse to the desired file via
   [Github](https://github.com/sualko/cloud_bbb/).
2. Click on the :pencil2: on the top right corner of the file.
3. Make your changes.
4. Add a meaning full commit message, prefixed with either `fix:` or `feat:`
   (e.g. `fix: room recordings`).
5. Submit your changes.

If you want to contribute larger changes, we recommend the following approach
which requires basic git knowledge.

1. Fork the repository.
2. Install all dependencies with `make dev-setup`.
3. Create a local branch for your fix or feature (e.g. `fix-recording`).
4. Test your changes with `yarn build` (you can also use `yarn watch`).
5. Commit your changes and push your created branch to your fork.
6. Open a new pull request into our master branch.

We use [Conventional Commits], but the precommit hook should mention any issues
preventing the merge of your pull request.

## :sunflower: Translate
We are using [Nextclouds Transifex] setup to translate this application.

## :loudspeaker: Promote
You like this app and you use a blog, Twitter, Facebook or any other social
network? It would be great if you could write a small post about BBB for
Nextcloud.

## :dollar: Sponsoring
If you like to sponsor a specific feature, bug fix or the project in general you
can also contact any maintainer of this application to support open source
development.

[![ko-fi](https://www.ko-fi.com/img/githubbutton_sm.svg)](https://ko-fi.com/sualko)

[open a new issue]: https://github.com/sualko/cloud_bbb/issues
[Conventional Commits]: https://www.conventionalcommits.org
[Nextclouds Transifex]: https://www.transifex.com/nextcloud/nextcloud/